*{
    margin: 0px;
    padding: 0px;
}

body{
    background: rgba(0,0,0,0.4) url("../images/transparent-umbrella-under-rain-against-water-drops-splash-background-rainy-weather-concept-191493424.jpg");
    background-size:cover;
    background-blend-mode: darken;
    display: flex;
    flex-direction:column;
    height: 100vh;
}
.navbar{
    display: flex;
    flex-direction: row;   
}

.nav-left{
   width: 40%;
   color:rgb(229, 143, 255);
}
.nav-left h1{
    font-size: 1.5rem;
    width: 377px;
    margin: auto;
}
.nav-left h1:hover{
   cursor:pointer;
   color:rgb(255, 139, 72);
}
.nav-left h1 span{
  font-size: 2rem;
  color: blue;
}
.nav-right{
    width:60%;
}
.nav-right ul{
    display: flex;
    flex-direction: row-reverse;
    margin-right: 15px;
}
.nav-right ul li {
    list-style: none;
    font-size: 1.3rem;
    padding: 10px 0px;
}

.nav-right ul li a { color:rgb(229, 143, 255);
    display: block;
    text-decoration: none;
    padding: 6px 13px;
    border-radius: 15px;

}
.nav-right ul li a:hover { 
color:rgb(255, 139, 72);

}
/* footer part  */

#foot {
    display: flex;
    align-items: center;
    flex-direction: row;
    justify-content: center;
    
}


#foot img {
    width: 23px;
    border-radius: 11px;
    margin: 4px;
}

.footer-box p{
    font-size: 1.2rem;
    text-align: center;
   color: rgb(183, 0, 255);
}


.footer{
    margin-top: auto;
    border-top: 2px solid black;
    background-color: rgb(9 8 8);
}

/* main section part  */
.center-main{
    display: flex;
    flex-direction: row;
    height: 500px;
    justify-content: center;
    align-items: center;
}
.left-center-main{
    width: 40%;
    color:white;
}
.left-center-main h1{
    text-align: center;
    font-size: 2.1rem;
    margin: 12px 0px;
}
.left-center-main p{
    margin-bottom: 3px;
    text-align: center;
    font-size: 1.2rem;
}
.left-center-main button{
    width: 126px;
    border-radius: 20px;
    background: linear-gradient(45deg,rgb(210 31 255),transparent);
    color: white;
    padding: 4px;
    font-size: 1rem;
    display: block;
    cursor: pointer;
    margin: 12px auto;
}
.right-center-main{
    width:40%;
    box-shadow: 3px 3px 5px black, -3px -2px 5px black;
}
.right-center-main img{
    width:100%;
}
.left-center-main button:hover{
    background: linear-gradient(45deg,blueviolet,transparent);
  
}

.about-container{
    height: 500px;
    width: 99%;
    display: flex;
    justify-content: center;
    align-items: center;
    margin: auto;
}

#mycard{
    width: 60%;
    height: 300px;
    padding: 15px;
      backdrop-filter: blur(4px);
      box-shadow: 3px 3px 6px black,-3px -3px 6px black;
      display: flex;
      justify-content: center;
      align-items: center;  
}
.card-left{
    width: 50%;
    text-align: center;
    font-size: 1.3rem;
    color: white;
}
.card-right{
    width: 40%;
    height: 70%;
    margin: 12px;
    align-items: center;
}
.card-right img{
    width: 220px;
    border-radius: 50%;
    height: 220px;
    display: block;
    margin: auto;
}


/* weather portion */
.input-part{
    width: 425px;
    margin: auto;
}
.input-part input[type="text"]{
    width: 330px;
    padding: 8px;
    height: 21px;
    font-size: 1rem;
    background: #090809;
    color: rgb(183, 0, 255);
    border-radius: 15px;
    backdrop-filter: drop-shadow(2px 4px 6px black);
}
::placeholder{
    color: white;
}
.input-part button[type="submit"]{
    position: relative;
    right: 81px;
    top: 2px;
    width: 69px;
    font-size: 1.2rem;
    border-radius: 14px;
    padding: 3px;
}
#submit-btn:hover{
    cursor: pointer;
   background-color: rgb(183, 0, 255);
    color: white;
}
#temp-info{
    width: 700px;
    margin: auto;
    height: 300px;
    margin-top: 20px;
    background-color: rgba(0,0,0,0.6);
    color: white;
    /* backdrop-filter: blur(4px); */
    box-shadow: 5px 5px 10px black, -5px 5px 10px black;
}
#temp-info .part-1{
    display: flex;
    justify-content: space-between;
    font-size: 1.2rem;
    padding: 10px;
}

#top-layer{
    margin-top: 20px;
    padding: 2px;
    font-size: 2rem;
    text-align: center;
}
.main-layer{
    margin-top: 30px;
    font-size: 3.5rem;
    display: flex;
    justify-content: space-around;
    align-items: center;
    height: 150px;
}
.main-layer #temp-status{
              font-size: 4.5rem;
}